1.1

1.1

get /v1/volumes

Description

List volumes

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryoffset
optional
offset
Example : 0
integer0
querylimit
optional
limit
Example : 20
integer20
queryname
optional
Volume Name
Example : my_volume
any of [string, null]None
querytype_name
optional
Volume Type Name
Example : HDD
any of [string, null]None
querysort
optional
sort
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVolumeListResponse
400Bad RequestNone
403ForbiddenNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.1"

Example HTTP response

Response 200

{
    "count": 1,
    "filestorages": [
        {
            "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
            "name": "my_volume",
            "protocol": "NFS",
            "state": "available",
            "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
            "created_at": "2024-07-30T04:54:33.219373",
            "type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
            "type_name": "HDD",
            "purpose": "replication"
        }
    ]
}